{ "beat": { "account_guids": [ "ACT-2746bc4c-ee78-5631-5a33-062dea4b0437" ], "created_at": "2020-03-31T18:41:32.000Z", "description": "It looks like your most recent bill from Comcast was lower than it normally is. You paid $31.26, which is 28% lower than your recent average payment of $43.43.", "digest": "87+y8ZLvW/TIr5tbknUtGg==", "displayed_at": "2020-03-03T17:55:40.000Z", "guid": "BET-725b097e-ab18-43ca-a7fe-3c98c5a1db08", "has_been_displayed": false, "is_dismissed": false, "is_relevant": false, "primary_account_guid": "ACT-2746bc4c-ee78-5631-5a33-062dea4b0437", "primary_transaction_guid": "TRN-3e5919b3-c9c9-4346-b187-2ff235d371ec", "template": "BillAmountNotStandard", "title": "Bill lower than usual", "transaction_guids": [ "TRN-3e5919b3-c9c9-4346-b187-2ff235d371ec" ], "updated_at": "2020-03-31T18:41:32.000Z", "user_guid": "USR-29dfffe5-296e-4784-89fd-6e81c8e682e6" }}
Beats
Update beat (deprecated)
Use this endpoint to update the attributes of a particular beat according to its unique GUID. No specific parameter is required, but the request body cannot be empty.
{ "beat": { "account_guids": [ "ACT-2746bc4c-ee78-5631-5a33-062dea4b0437" ], "created_at": "2020-03-31T18:41:32.000Z", "description": "It looks like your most recent bill from Comcast was lower than it normally is. You paid $31.26, which is 28% lower than your recent average payment of $43.43.", "digest": "87+y8ZLvW/TIr5tbknUtGg==", "displayed_at": "2020-03-03T17:55:40.000Z", "guid": "BET-725b097e-ab18-43ca-a7fe-3c98c5a1db08", "has_been_displayed": false, "is_dismissed": false, "is_relevant": false, "primary_account_guid": "ACT-2746bc4c-ee78-5631-5a33-062dea4b0437", "primary_transaction_guid": "TRN-3e5919b3-c9c9-4346-b187-2ff235d371ec", "template": "BillAmountNotStandard", "title": "Bill lower than usual", "transaction_guids": [ "TRN-3e5919b3-c9c9-4346-b187-2ff235d371ec" ], "updated_at": "2020-03-31T18:41:32.000Z", "user_guid": "USR-29dfffe5-296e-4784-89fd-6e81c8e682e6" }}
Authorizations
MD-SESSION-TOKEN
string
header
required
MX Session Token
Request an API token using the read API token endpoint in the MX SSO API.
Exchange an API token for a session token.
A session token is obtained by sending a POST request to /sessions
The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
If you send a request with an expired session token you'll receive an error code of 4011.
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
beat_guid
string
required
The ID of the beat to update.
Body
application/vnd.mx.nexus.v1+json
beat
object
Hide child attributes
beat.has_been_displayed
boolean
Indicates if the beat has been displayed.
Example:
true
beat.is_dismissed
boolean
Indicates if the user dismissed the beat.
Example:
false
Response
200 - application/vnd.mx.nexus.v1+json
OK
beat
object
Hide child attributes
beat.account_guids
string[]
An array of account GUIDs that are relevant to the information delivered in the beat.
beat.created_at
string
The date and time the beat was created, given in ISO 8601 with a timestamp.
Example:
"2020-03-31T18:41:32.000Z"
beat.description
string
The human-readable information being delivered to the end user.
Example:
"It looks like your most recent bill from Comcast was lower than it normally is. You paid $31.26, which is 28% lower than your recent average payment of $43.43."
beat.digest
string
A unique identifier derived from inputs to the beat which ensures beats are not duplicated.
Example:
"87+y8ZLvW/TIr5tbknUtGg=="
beat.displayed_at
string
The date and time at which the beat was displayed to the end user, given in ISO 8601 with a timestamp.
Example:
"2020-03-03T17:55:40.000Z"
beat.guid
string
The unique identifier for the beat. Defined by MX.
Example:
"BET-725b097e-ab18-43ca-a7fe-3c98c5a1db08"
beat.has_been_displayed
boolean
This indicates whether the beat has been shown to the end user.
Example:
false
beat.is_dismissed
boolean
This indicates whether the beat has been dismissed by the end user.
Example:
false
beat.is_relevant
boolean
This indicates whether a beat still contains information that is relevant, meaningful, or useable to the end user. For example, an OverdraftWarning will have is_relevant set to false if a large deposit is made into the associated account after the beat was created. Any beat which has already been displayed to or dismissed by the end user will be set to false. There are numerous examples and conditions.
Example:
false
beat.primary_account_guid
string
The unique identifier for the account most relevant to the information delivered in the beat.
Example:
"ACT-2746bc4c-ee78-5631-5a33-062dea4b0437"
beat.primary_transaction_guid
string
The unique identifier for the transaction most relevant to the information delivered in the beat.
Example:
"TRN-3e5919b3-c9c9-4346-b187-2ff235d371ec"
beat.template
string
A short label for the type of beat being delivered, e.g., SubscriptionPriceIncrease or MonthlyCategoryTotal.
Example:
"BillAmountNotStandard"
beat.title
string
The title for the specific beat, e.g., Price Increase or Paycheck Deposit.
Example:
"Bill lower than usual"
beat.transaction_guids
string[]
An array of transaction GUIDs that are relevant to the information delivered in the beat.
beat.updated_at
string
The date and time the beat was last updated, given in ISO 8601 without a timestamp.
Example:
"2020-03-31T18:41:32.000Z"
beat.user_guid
string
The unique identifier for the user to which the beat belongs. Defined by MX.